<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-hero-heading" jhiTranslate="lunaheroesApp.hero.home.createOrEditLabel">Create or edit a Hero</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="lunaheroesApp.hero.heroName" for="field_heroName">Hero Name</label>
                    <input type="text" class="form-control" name="heroName" id="field_heroName"
                           formControlName="heroName"/>
                    <div *ngIf="editForm.get('heroName')!.invalid && (editForm.get('heroName')!.dirty || editForm.get('heroName')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('heroName')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('heroName')?.errors?.minlength" jhiTranslate="entity.validation.minlength" [translateValues]="{ min: 5 }">
                        This field is required to be at least 5 characters.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('heroName')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 15 }">
                        This field cannot be longer than 15 characters.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="lunaheroesApp.hero.age" for="field_age">Age</label>
                    <input type="number" class="form-control" name="age" id="field_age"
                           formControlName="age"/>
                    <div *ngIf="editForm.get('age')!.invalid && (editForm.get('age')!.dirty || editForm.get('age')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('age')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('age')?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="lunaheroesApp.hero.gender" for="field_gender">Gender</label>
                    <select class="form-control" name="gender" formControlName="gender" id="field_gender">
                        <option value="MALE">{{ 'lunaheroesApp.Gender.MALE' | translate }}</option>
                        <option value="FEMALE">{{ 'lunaheroesApp.Gender.FEMALE' | translate }}</option>
                        <option value="BINARY">{{ 'lunaheroesApp.Gender.BINARY' | translate }}</option>
                    </select>
                    <div *ngIf="editForm.get('gender')!.invalid && (editForm.get('gender')!.dirty || editForm.get('gender')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('gender')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="lunaheroesApp.hero.notes" for="field_notes">Notes</label>
                    <input type="text" class="form-control" name="notes" id="field_notes"
                           formControlName="notes"/>
                    <div *ngIf="editForm.get('notes')!.invalid && (editForm.get('notes')!.dirty || editForm.get('notes')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('notes')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 35 }">
                        This field cannot be longer than 35 characters.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="lunaheroesApp.hero.signs" for="field_signs">Signs</label>
                    <input type="text" class="form-control" name="signs" id="field_signs"
                           formControlName="signs"/>
                    <div *ngIf="editForm.get('signs')!.invalid && (editForm.get('signs')!.dirty || editForm.get('signs')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('signs')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 10 }">
                        This field cannot be longer than 10 characters.
                        </small>
                    </div>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
